/********************************************************************
 FileName:     	HardwareProfile.h
 Dependencies:  See INCLUDES section
 Processor:     PIC18F26k22
 Hardware:      
 Compiler:      Microchip C18
********************************************************************/

#ifndef HARDWARE_PROFILE_PICDEM_FSUSB_H
#define HARDWARE_PROFILE_PICDEM_FSUSB_H
	
	/*  CLOCK FREQUENCY */
	#define GetSystemClock()		(40000000ul)      // Hz
	#define GetInstructionClock()	(GetSystemClock()/4)
	#define GetPeripheralClock()	GetInstructionClock()
    
    // I/O pin definitions 
    
    #define INPUT_PIN 		1
    #define OUTPUT_PIN 		0    
    
    
    #define SD_CS			LATCbits.LATC0		// CS   SD chip select
    #define SD_CS_TRIS		TRISCbits.TRISC0	// SD chip select TRIS
    #define SD_WP			PORTCbits.RC2		// Card Write Protect
    #define SD_WP_TRIS		TRISCbits.TRISC2	// Card Write Protect TRIS
    #define SD_CD			PORTAbits.RA4		// Card Detect
    #define SD_CD_TRIS		TRISAbits.TRISA4	// Card Detect TRIS
	
	#define SPI_SCK_TRIS	TRISCbits.TRISC3	// SPI Clock TRIS
	#define SPI_MISO_TRIS	TRISCbits.TRISC4	// SPI Master input/Slave output TRIS
	#define SPI_MOSI_TRIS	TRISCbits.TRISC5	// SPI Master output/Slave input TRIS
	
	#define USART_RX_TRIS	TRISCbits.TRISC7	// USART RX TRIS
	#define USART_TX_TRIS	TRISCbits.TRISC6	// USART TX TRIS
	
	#define LED1			LATBbits.LATB0		// LED 1
	#define LED1_TRIS		TRISBbits.TRISB0	// LED 1 TRIS
	#define LED2			LATBbits.LATB1		// LED 2
	#define LED2_TRIS		TRISBbits.TRISB1	// LED 2 TRIS
	
	/** USART SETTINGS *********************************************/
	#define BAUD_RATE 19200

#endif  //HARDWARE_PROFILE_PICDEM_FSUSB_H
